<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlInterRxGainPhConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlInterRxGainPhConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Inter-Rx gain and phase offset configuration.  
 <a href="structrl_inter_rx_gain_ph_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae325455ec8613aaeafe8d77bf4fadac9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae325455ec8613aaeafe8d77bf4fadac9"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#ae325455ec8613aaeafe8d77bf4fadac9">profileIndx</a></td></tr>
<tr class="memdesc:ae325455ec8613aaeafe8d77bf4fadac9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:ae325455ec8613aaeafe8d77bf4fadac9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5b674a1ea39c009eedbeac77f0e8fce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5b674a1ea39c009eedbeac77f0e8fce"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#ad5b674a1ea39c009eedbeac77f0e8fce">reserved0</a></td></tr>
<tr class="memdesc:ad5b674a1ea39c009eedbeac77f0e8fce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ad5b674a1ea39c009eedbeac77f0e8fce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85f35976314ce760483d0ab49511654f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85f35976314ce760483d0ab49511654f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#a85f35976314ce760483d0ab49511654f">reserved1</a></td></tr>
<tr class="memdesc:a85f35976314ce760483d0ab49511654f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a85f35976314ce760483d0ab49511654f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e2b6ebdb7aa82e06950ebfc514c9465"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e2b6ebdb7aa82e06950ebfc514c9465"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#a4e2b6ebdb7aa82e06950ebfc514c9465">digRxGain</a> [RL_RX_CNT]</td></tr>
<tr class="memdesc:a4e2b6ebdb7aa82e06950ebfc514c9465"><td class="mdescLeft">&#160;</td><td class="mdescRight">One byte per RX (8-bit signed number) <br />
 Byte Assignment <br />
 0 RX0 digital gain <br />
 1 RX1 digital gain <br />
 2 RX2 digital gain <br />
 3 RX3 digital gain <br />
 1 LSB = 0.1 dB <br />
 Valid Range: -120 to 119 <br />
. <br /></td></tr>
<tr class="separator:a4e2b6ebdb7aa82e06950ebfc514c9465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e337b440f539fe3f7190fce73b1ae2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96e337b440f539fe3f7190fce73b1ae2"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#a96e337b440f539fe3f7190fce73b1ae2">digRxPhShift</a> [RL_RX_CNT]</td></tr>
<tr class="memdesc:a96e337b440f539fe3f7190fce73b1ae2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Two bytes per RX <br />
 Bits Assignment <br />
 b15:0 RX0 digital phase shift <br />
 b31:16 RX1 digital phase shift <br />
 b47:32 RX2 digital phase shift <br />
 b63:48 RX3 digital phase shift <br />
 1 LSB = 360 degree / 2^16 ~ 0.0055 (degree) <br />
 Valid Range: 0 to 65535 <br />
 NOTE: This field is NOT applicable when ADC_OUT_FMT is 00 (real output) <br />
. <br /></td></tr>
<tr class="separator:a96e337b440f539fe3f7190fce73b1ae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a595e879b42d59d083a321f117831716f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a595e879b42d59d083a321f117831716f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#a595e879b42d59d083a321f117831716f">reserved2</a></td></tr>
<tr class="memdesc:a595e879b42d59d083a321f117831716f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a595e879b42d59d083a321f117831716f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1417fda51c3c5e86c5849ae2b44f62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e1417fda51c3c5e86c5849ae2b44f62"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_inter_rx_gain_ph_conf__t.html#a5e1417fda51c3c5e86c5849ae2b44f62">reserved3</a></td></tr>
<tr class="memdesc:a5e1417fda51c3c5e86c5849ae2b44f62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a5e1417fda51c3c5e86c5849ae2b44f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Inter-Rx gain and phase offset configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
